1. Timesheets
Easyteam Retail
  • Home
  • Staff
    • Get all staff members
      GET
    • Get a single staff member
      GET
  • Scheduling
    • Get published shift schedules
      GET
  • Timesheets
    • Get timesheets summary
      GET
    • Get detailed timesheets an employee
      GET
  • Commissions
    • Get commissions summary
      GET
    • Get detailed commissions breakdown for a staff member
      GET
  • Sales Goals
    • Get sales goals data
      GET
  1. Timesheets

Get detailed timesheets an employee

GET
/api/rest/timesheets/shop/{shopId}/staff/{personnelId}
Retrieve detailed timesheet including shifts and time-offs for a specific employee

Request

Authorization
Path Params

Query Params

Responses

🟢200
application/json
Successfully retrieved timesheet detail
Body

🟠400
🟠401
🟠403
🟠404
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/rest/timesheets/shop//staff/?from&to&locationIds'
Response Response Example
{
    "success": true,
    "data": {
        "staff": {
            "id": 0,
            "personnelId": 0,
            "shopifyUserId": "string",
            "userName": "string",
            "email": "string",
            "position": "string",
            "salaryWage": {
                "currencyCode": "string",
                "currencyMark": "string",
                "rate": 0,
                "rateType": "string"
            }
        },
        "shifts": [
            {
                "id": 0,
                "date": "2019-08-24",
                "startTime": "2019-08-24T14:15:22.123Z",
                "endTime": "2019-08-24T14:15:22.123Z",
                "location": "string",
                "locationId": 0,
                "timezone": "string",
                "hours": 0,
                "paidHours": 0,
                "unpaidHours": 0,
                "unpaidBreaks": 0,
                "paidBreaks": 0,
                "amount": "string",
                "breaks": [
                    {
                        "breakTypeId": 0,
                        "name": "string",
                        "type": "string",
                        "durationMins": 0,
                        "startTime": "string",
                        "endTime": "string"
                    }
                ],
                "scheduleShift": {
                    "id": 0,
                    "startTime": "2019-08-24T14:15:22.123Z",
                    "endTime": "2019-08-24T14:15:22.123Z",
                    "position": "string",
                    "note": "string"
                },
                "hasPhotos": true,
                "isApproved": true,
                "approvedAt": "string",
                "approvedByPersonnelId": 0,
                "isTimeClockEntry": true,
                "isEdited": true
            }
        ],
        "timeOffs": [
            {
                "id": 0,
                "date": "2019-08-24",
                "startTime": "2019-08-24T14:15:22.123Z",
                "endTime": "2019-08-24T14:15:22.123Z",
                "hours": 0,
                "policy": {
                    "id": 0,
                    "name": "string",
                    "paid": true
                },
                "location": "string",
                "locationId": 0,
                "status": "string"
            }
        ],
        "summary": {
            "totalHours": 0,
            "totalPaidHours": 0,
            "totalUnpaidHours": 0,
            "totalUnpaidBreaks": 0,
            "totalTimeOffHours": 0,
            "totalAmount": "string"
        }
    }
}
Previous
Get timesheets summary
Next
Get commissions summary